import { map, Observable, of, take } from "rxjs";
import * as fs from "fs"
import { AcknowledgementService } from "../services/acknowledgemeent.service";
import { StreamingService } from "./stream";
import { SyncrhonizationService } from "../services/synchronization.service";
import { LogSetting } from "../dependencies/fisloggingservice/type/datatype";
const acknowledge = new AcknowledgementService()
const syncrhonize = new SyncrhonizationService()
const streamService = new StreamingService()

// Configure Log Setting
const storage: LogSetting = {
    storage: "File",
    setting: {
        appName: 'Default from client',
        appLocName: 'To be generated in client',
        logLocName: 'To be generated in client',
    }
}

// console.log(`I am Client 1`)
// syncrhonize.synchronize()

/* --------------  ACTION -------------------- */
const payload = streamService.stream()

acknowledge.init(storage).then(() => {
    acknowledge.subscribe(payload)
}).catch((e) => console.error(e))